Bug 171392 - [NEW PORT] games/py27-super_mario_bros_python: Clone of the original Super Mario Bros
Summary: [NEW PORT] games/py27-super_mario_bros_python: Clone of the original Super Ma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 22:40 UTC by nemysis
Modified: 2013-12-08 19:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (3.36 KB, text/plain)
2012-09-06 22:40 UTC, nemysis
no flags Details
super_mario_bros_python.shar (3.27 KB, application/x-shar)
2012-09-13 10:45 UTC, nemysis
no flags Details
super_mario_bros_python.shar (3.27 KB, application/x-shar)
2012-10-11 03:15 UTC, nemysis
no flags Details
super_mario_bros_python.shar (7.81 KB, application/x-shar)
2012-12-07 18:02 UTC, nemysis
no flags Details
super_mario_bros_python.shar (7.96 KB, application/x-shar)
2013-02-14 16:46 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-06 22:40:02 UTC
Super Mario Bros. Python is a clone of the original Super Mario Bros 1985 NES.
It is written in Python using pygame.

WWW: http://sourceforge.net/projects/supermariobrosp/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES), sent with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 nemysis 2012-09-13 10:45:43 UTC
Changed to use

RUN_DEPENDS= ${PYGAME}
Comment 2 nemysis 2012-12-07 18:02:16 UTC
Removed:
PLIST_FILES=
PORTDATA=	 *

Added:
post-patch:
        @${REINPLACE_CMD} -i '' -e '1d' ${WRKSRC}/start.py

Changed file:
files/super_mario_bros_python.in
exec ./start.py "${@}"
Comment 3 nemysis 2013-02-14 16:46:17 UTC
portlint -A
WARN: Makefile: [35]: possible direct use of command "false" found. use ${FALSE} instead.
WARN: Makefile: [11]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
0 fatal errors and 2 warnings found.

port test: clean
Comment 4 Martin Wilke freebsd_committer 2013-08-14 10:23:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 5 Rusmir Dusko freebsd_committer 2013-12-08 19:07:54 UTC
State Changed
From-To: open->closed

New port added. Thanks!
Comment 6 dfilter service freebsd_committer 2013-12-08 19:09:10 UTC
Author: nemysis
Date: Sun Dec  8 19:08:56 2013
New Revision: 335925
URL: http://svnweb.freebsd.org/changeset/ports/335925

Log:
  Super Mario Bros. Python is a clone of the original Super Mario Bros 1985 NES.
  
  WWW: http://sourceforge.net/projects/supermariobrosp/
  
  PR:		ports/171392
  Submitted by:	nemysis (self)
  Approved by:	pawel (mentor)

Added:
  head/games/super_mario_bros_python/
  head/games/super_mario_bros_python/Makefile   (contents, props changed)
  head/games/super_mario_bros_python/distinfo   (contents, props changed)
  head/games/super_mario_bros_python/files/
  head/games/super_mario_bros_python/files/super_mario_bros_python.in   (contents, props changed)
  head/games/super_mario_bros_python/pkg-descr   (contents, props changed)
  head/games/super_mario_bros_python/pkg-plist   (contents, props changed)
Modified:
  head/games/Makefile

Modified: head/games/Makefile
==============================================================================
--- head/games/Makefile	Sun Dec  8 19:08:20 2013	(r335924)
+++ head/games/Makefile	Sun Dec  8 19:08:56 2013	(r335925)
@@ -912,6 +912,7 @@
     SUBDIR += sudoku_solver
     SUBDIR += sudsol
     SUBDIR += sumwars
+    SUBDIR += super_mario_bros_python
     SUBDIR += super_methane_brothers
     SUBDIR += supertux
     SUBDIR += supertux-devel

Added: head/games/super_mario_bros_python/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/super_mario_bros_python/Makefile	Sun Dec  8 19:08:56 2013	(r335925)
@@ -0,0 +1,62 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	super_mario_bros_python
+PORTVERSION=	0.1
+CATEGORIES=	games python
+MASTER_SITES=	SF/supermariobrosp/ \
+		SF/nemysisfreebsdp/games/:icons
+DISTFILES=	Super-Mario-Bros-Python-v${DISTVERSION}release${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	Super-Mario-Bros-Python-v${DISTVERSION}release${EXTRACT_SUFX}
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Clone of the original Super Mario Bros
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	${PYGAME}
+
+WRKSRC=		${WRKDIR}/Super-Mario-Bros-Python-v${DISTVERSION}release
+
+USE_ZIP=	yes
+USE_PYTHON=	2.7
+
+PORTDOCS=	changelog.txt readme.txt
+
+OPTIONS_DEFINE=	DOCS
+
+SUB_FILES=	${PORTNAME}
+
+DESKTOP_ENTRIES="Super Mario Bros. Python" "" ${PORTNAME} \
+		"${PORTNAME}" "Game;ArcadeGame;" ""
+
+post-patch:
+	@${REINPLACE_CMD} -i '' -e '1d' ${WRKSRC}/start.py
+	@${FIND} ${WRKSRC} -name "*.py~" -delete -or -name "*.sav~" -delete
+
+do-build:
+	@${PYTHON_CMD} -m compileall ${WRKSRC}
+	@${PYTHON_CMD} -O -m compileall ${WRKSRC}
+
+do-install:
+	@${REINPLACE_CMD} -e 's|%%PYTHON_CMD%%|${PYTHON_CMD}|' \
+		${WRKDIR}/${PORTNAME}
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+
+.for d in data gamelib
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+.for d in  *.py *.pyc *.pyo
+	@(cd ${WRKSRC} ; ${INSTALL_SCRIPT} ${d} ${STAGEDIR}${DATADIR})
+.endfor
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
+
+.include <bsd.port.mk>

Added: head/games/super_mario_bros_python/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/super_mario_bros_python/distinfo	Sun Dec  8 19:08:56 2013	(r335925)
@@ -0,0 +1,4 @@
+SHA256 (super_mario_bros_python/Super-Mario-Bros-Python-v0.1release.zip) = 9cf0ced589756d30b01d27ef82c4eb773f8bfc264badf0bd67648fe1ec054c1d
+SIZE (super_mario_bros_python/Super-Mario-Bros-Python-v0.1release.zip) = 11103492
+SHA256 (super_mario_bros_python/super_mario_bros_python.png) = 4d732825509bff5fd1e6eab7a449af44882acd6d6d6ef003b8ed4fd8866436e2
+SIZE (super_mario_bros_python/super_mario_bros_python.png) = 4229

Added: head/games/super_mario_bros_python/files/super_mario_bros_python.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/super_mario_bros_python/files/super_mario_bros_python.in	Sun Dec  8 19:08:56 2013	(r335925)
@@ -0,0 +1,7 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+cd "%%DATADIR%%"
+exec %%PYTHON_CMD%% ./start.py "${@}"

Added: head/games/super_mario_bros_python/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/super_mario_bros_python/pkg-descr	Sun Dec  8 19:08:56 2013	(r335925)
@@ -0,0 +1,3 @@
+Super Mario Bros. Python is a clone of the original Super Mario Bros 1985 NES.
+
+WWW: http://sourceforge.net/projects/supermariobrosp/

Added: head/games/super_mario_bros_python/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/super_mario_bros_python/pkg-plist	Sun Dec  8 19:08:56 2013	(r335925)
@@ -0,0 +1,161 @@
+bin/super_mario_bros_python
+share/pixmaps/super_mario_bros_python.png
+%%DATADIR%%/data/1up.ogg
+%%DATADIR%%/data/SMB_mario2.gif
+%%DATADIR%%/data/Thumbs.db
+%%DATADIR%%/data/background-1.png
+%%DATADIR%%/data/background-2.png
+%%DATADIR%%/data/bowser-fireball1.png
+%%DATADIR%%/data/bowser1.gif
+%%DATADIR%%/data/bowser1.png
+%%DATADIR%%/data/bowser2.png
+%%DATADIR%%/data/bowser3.png
+%%DATADIR%%/data/bowser4.png
+%%DATADIR%%/data/brick1.png
+%%DATADIR%%/data/brick2.png
+%%DATADIR%%/data/bridge.png
+%%DATADIR%%/data/bush-1.png
+%%DATADIR%%/data/cannon1.png
+%%DATADIR%%/data/cannon2.png
+%%DATADIR%%/data/cannonbig1.png
+%%DATADIR%%/data/cannonbig2.png
+%%DATADIR%%/data/cannonbullet1.png
+%%DATADIR%%/data/cannonbullet2.png
+%%DATADIR%%/data/castle-big.png
+%%DATADIR%%/data/castle.ogg
+%%DATADIR%%/data/castle.png
+%%DATADIR%%/data/cave.ogg
+%%DATADIR%%/data/chain.png
+%%DATADIR%%/data/cloud.png
+%%DATADIR%%/data/coin.ogg
+%%DATADIR%%/data/coin1.png
+%%DATADIR%%/data/coin2.png
+%%DATADIR%%/data/coin3.png
+%%DATADIR%%/data/coin4.png
+%%DATADIR%%/data/death.ogg
+%%DATADIR%%/data/dobbelclouds.png
+%%DATADIR%%/data/exp1.png
+%%DATADIR%%/data/exp2-1.png
+%%DATADIR%%/data/exp2-2.png
+%%DATADIR%%/data/exp2-3.png
+%%DATADIR%%/data/exp2.png
+%%DATADIR%%/data/exp3.png
+%%DATADIR%%/data/fence.png
+%%DATADIR%%/data/fireball.ogg
+%%DATADIR%%/data/fireball.png
+%%DATADIR%%/data/flagpole.png
+%%DATADIR%%/data/flower1.png
+%%DATADIR%%/data/flower2.png
+%%DATADIR%%/data/fonts/font.ttf
+%%DATADIR%%/data/fonts/super-mario-64.ttf
+%%DATADIR%%/data/gameover.ogg
+%%DATADIR%%/data/goal.ogg
+%%DATADIR%%/data/grass-1.png
+%%DATADIR%%/data/grass-2.png
+%%DATADIR%%/data/grass-middle.png
+%%DATADIR%%/data/grass-texture.png
+%%DATADIR%%/data/grass-texturesprite.png
+%%DATADIR%%/data/gray1.png
+%%DATADIR%%/data/gray2.png
+%%DATADIR%%/data/hill.PNG
+%%DATADIR%%/data/jump.ogg
+%%DATADIR%%/data/jump2.ogg
+%%DATADIR%%/data/koura.ogg
+%%DATADIR%%/data/lava.png
+%%DATADIR%%/data/lvl1.png
+%%DATADIR%%/data/lvl2.png
+%%DATADIR%%/data/lvl3.png
+%%DATADIR%%/data/lvl4.png
+%%DATADIR%%/data/maintheme.ogg
+%%DATADIR%%/data/map.gif
+%%DATADIR%%/data/mario-life2.png
+%%DATADIR%%/data/mario1.png
+%%DATADIR%%/data/mario2.png
+%%DATADIR%%/data/mario3.png
+%%DATADIR%%/data/mario4.png
+%%DATADIR%%/data/mario5.png
+%%DATADIR%%/data/mario_slide.png
+%%DATADIR%%/data/mariodie.png
+%%DATADIR%%/data/menu.png
+%%DATADIR%%/data/menu2.png
+%%DATADIR%%/data/menu4.png
+%%DATADIR%%/data/miniboss.ogg
+%%DATADIR%%/data/monster-red1.png
+%%DATADIR%%/data/monster-red2.png
+%%DATADIR%%/data/monster-red3.png
+%%DATADIR%%/data/monster1.png
+%%DATADIR%%/data/monster2.png
+%%DATADIR%%/data/monster3.png
+%%DATADIR%%/data/moving-platform.png
+%%DATADIR%%/data/moving-platformlong.png
+%%DATADIR%%/data/mushroom-green.png
+%%DATADIR%%/data/pipe-big.png
+%%DATADIR%%/data/pipe.png
+%%DATADIR%%/data/platform-air.png
+%%DATADIR%%/data/platform-brick.png
+%%DATADIR%%/data/platform-q.png
+%%DATADIR%%/data/platform-q1.png
+%%DATADIR%%/data/platform-q2.png
+%%DATADIR%%/data/platform-q3.png
+%%DATADIR%%/data/platform-top.png
+%%DATADIR%%/data/poof-1.png
+%%DATADIR%%/data/poof-2.png
+%%DATADIR%%/data/poof-3.png
+%%DATADIR%%/data/rose1.png
+%%DATADIR%%/data/rose2.png
+%%DATADIR%%/data/saves/prog.sav
+%%DATADIR%%/data/shot.png
+%%DATADIR%%/data/slub1.png
+%%DATADIR%%/data/slub2.png
+%%DATADIR%%/data/slub3.png
+%%DATADIR%%/data/smallcannon1.png
+%%DATADIR%%/data/smallcannon2.png
+%%DATADIR%%/data/spike1.png
+%%DATADIR%%/data/spike2.png
+%%DATADIR%%/data/spring.ogg
+%%DATADIR%%/data/spring1.png
+%%DATADIR%%/data/spring2.png
+%%DATADIR%%/data/squidge1.png
+%%DATADIR%%/data/squidge2.png
+%%DATADIR%%/data/squidge3.png
+%%DATADIR%%/data/star.png
+%%DATADIR%%/data/stomp.ogg
+%%DATADIR%%/data/title.ogg
+%%DATADIR%%/data/tree-1.png
+%%DATADIR%%/data/tree-2.png
+%%DATADIR%%/data/wall-1.png
+%%DATADIR%%/gamelib/__init__.py
+%%DATADIR%%/gamelib/__init__.pyc
+%%DATADIR%%/gamelib/__init__.pyo
+%%DATADIR%%/gamelib/cutscenes.py
+%%DATADIR%%/gamelib/cutscenes.pyc
+%%DATADIR%%/gamelib/cutscenes.pyo
+%%DATADIR%%/gamelib/data.py
+%%DATADIR%%/gamelib/data.pyc
+%%DATADIR%%/gamelib/data.pyo
+%%DATADIR%%/gamelib/ezmenu.py
+%%DATADIR%%/gamelib/ezmenu.pyc
+%%DATADIR%%/gamelib/ezmenu.pyo
+%%DATADIR%%/gamelib/game.py
+%%DATADIR%%/gamelib/game.pyc
+%%DATADIR%%/gamelib/game.pyo
+%%DATADIR%%/gamelib/level.py
+%%DATADIR%%/gamelib/level.pyc
+%%DATADIR%%/gamelib/level.pyo
+%%DATADIR%%/gamelib/main.py
+%%DATADIR%%/gamelib/main.pyc
+%%DATADIR%%/gamelib/main.pyo
+%%DATADIR%%/gamelib/menu.py
+%%DATADIR%%/gamelib/menu.pyc
+%%DATADIR%%/gamelib/menu.pyo
+%%DATADIR%%/gamelib/sprites.py
+%%DATADIR%%/gamelib/sprites.pyc
+%%DATADIR%%/gamelib/sprites.pyo
+%%DATADIR%%/start.py
+%%DATADIR%%/start.pyc
+%%DATADIR%%/start.pyo
+@dirrm %%DATADIR%%/gamelib
+@dirrm %%DATADIR%%/data/saves
+@dirrm %%DATADIR%%/data/fonts
+@dirrm %%DATADIR%%/data
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"